org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQL11ManifestTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQL11ManifestTest

- Deprecated.

      @Deprecated
      public class SPARQL11ManifestTest
      extends Object

  Functionality for creating a JUnit test suite out of a W3C Working Group-style manifest for SPARQL query and update tests.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQL11ManifestTest()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.TestSuite` | `suite(SPARQLQueryTest.Factory factory, String manifestFile, boolean approvedTestsOnly, String... excludedSubdirs)` Deprecated. Creates a new `TestSuite` for execution of `SPARQLQueryTest` s.
    `static junit.framework.TestSuite` | `suite(SPARQLUpdateConformanceTest.Factory factory, String manifestFile, boolean approvedTestsOnly, String... excludedSubdirs)` Deprecated. Creates a new `TestSuite` for execution of `SPARQLUpdateConformanceTest` s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQL11ManifestTest

          public SPARQL11ManifestTest()

      Deprecated.

  - ### Method Detail

    - #### suite

          public static junit.framework.TestSuite suite(SPARQLQueryTest.Factory factory,
                                                        String manifestFile,
                                                        boolean approvedTestsOnly,
                                                        String... excludedSubdirs)
                                                 throws Exception

      Deprecated.
      Creates a new `TestSuite` for execution of `SPARQLQueryTest` s.
      Parameters:
        `factory` - a factory class that creates each individual test case.
        `manifestFile` - url of the manifest file (may be remote or local).
        `approvedTestsOnly` - if `true`, use working group-approved tests only.
        `excludedSubdirs` - an (optionally empty) list of subdirectories to exclude from testing. If specified, test cases in one of the supplied subdirs will not be executed. If left empty, all tests will be executed.
      Returns:
        a TestSuite.
      Throws:
        `Exception`

    - #### suite

          public static junit.framework.TestSuite suite(SPARQLUpdateConformanceTest.Factory factory,
                                                        String manifestFile,
                                                        boolean approvedTestsOnly,
                                                        String... excludedSubdirs)
                                                 throws Exception

      Deprecated.
      Creates a new `TestSuite` for execution of `SPARQLUpdateConformanceTest` s.
      Parameters:
        `factory` - a factory class that creates each individual test case.
        `manifestFile` - url of the manifest file (may be remote or local).
        `approvedTestsOnly` - if `true`, use working group-approved tests only.
        `excludedSubdirs` - an (optionally empty) list of subdirectories to exclude from testing. If specified, test cases in one of the supplied subdirs will not be executed. If left empty, all tests will be executed.
      Returns:
        a TestSuite.
      Throws:
        `Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.